Package org.jboss.classfilewriter

## Interface WritableEntry

All Known Implementing Classes:
  `AnnotationAnnotationValue`, `AnnotationsAttribute`, `AnnotationValue`, `ArrayAnnotationValue`, `Attribute`, `BooleanAnnotationValue`, `ByteAnnotationValue`, `CharAnnotationValue`, `ClassAnnotation`, `ClassAnnotationValue`, `ClassEntry`, `ClassField`, `ClassFile`, `ClassMethod`, `CodeAttribute`, `ConstPool`, `ConstPoolEntry`, `DoubleAnnotationValue`, `DoubleEntry`, `EnumAnnotationValue`, `ExceptionsAttribute`, `FieldRefEntry`, `FloatAnnotationValue`, `FloatEntry`, `IntAnnotationValue`, `IntegerEntry`, `InterfaceMethodRefEntry`, `LongAnnotationValue`, `LongEntry`, `MethodRefEntry`, `NameAndTypeEntry`, `ParameterAnnotationsAttribute`, `ShortAnnotationValue`, `SignatureAttribute`, `StackMapTableAttribute`, `StringAnnotationValue`, `StringEntry`, `Utf8Entry`

    public interface WritableEntry

a part of the class file that knows hows to write itself to a `ByteArrayOutputStream`

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `write​(ByteArrayDataOutputStream stream)`

### Method Detail

#### write

    void write​(ByteArrayDataOutputStream stream)
        throws java.io.IOException

Throws:
  `java.io.IOException`